Retrieve Transactions V2

List the Transactions for a customer across all ingestion sources and accounts. Ordered by date_time and then transaction_id descending.

They are also provided with Enrichments - contextual information generated by Bud's artificial intelligence models. Enrichments are optional because not all Enrichments are relevant to all Transactions, or because they did not have enough information to generate enrichments (e.g. pending Transactions). The Enrichment process also generates tags, which can be used for filtering using the include_tags and exclude_tags query parameters.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Date (RFC3339) from which the transactions should be returned from. To maintain backwards compatibility, dates in the format (YYYY-MM-DD) can also be used and will be assumed to be UTC.

string

Date (RFC3339) from which the transactions should be returned to. To maintain backwards compatibility, dates in the format (YYYY-MM-DD) can also be used and will be assumed to be UTC. Uses the current date by default.

integer

Maximum number of results to be returned. Defaults to 100, maximum is 200. Note: When using the exclude_tags filter, the response may contain more transactions than the specified page_size to ensure complete filtering. Always use the presence of next_page_token to determine if additional pages are available.

string

The token required to fetch a specific page of results. Provided by the next_page_token field in the previous request.

string

Identifier of the accounts from which transactions should be returned.

string

Human readable identifier of the merchants for which associated transactions should be returned.

string

Identifier of the Category Level 1 for which associated transactions should be returned.

string

Identifier of the Category Level 2 for which associated transactions should be returned.

include_tags
array of strings

Tags for which associated transactions should be returned. See response body example for an exhaustive list of possible tags.

include_tags
exclude_tags
array of strings

Tags for which associated transactions should not be returned. See response body example for an exhaustive list of possible tags. When this filter is applied, the response may include more transactions than the page_size to ensure accurate filtering. Always use the presence of next_page_token to determine if additional pages are available.

exclude_tags
string
enum

Credit debit indicator for which associated transactions should be returned.

Allowed:
string

The updated_after parameter lets you retrieve transactions that have been modified since a specific date and time. This format should follow the RFC3339 standard (e.g., "2024-06-01T11:00:00Z"). This parameter is particularly useful for keeping local copies of transactions up-to-date. By storing the timestamp of your last successful fetch, you can request only transactions updated after that point during subsequent retrievals. This approach ensures you only fetch the latest changes, making the process more streamlined.

string
enum

Statuses of transactions to be returned. This parameter can be supplied multiple times to fetch transactions with a combination of statuses.

By default, declined transactions are excluded from the results. Note: Transactions ingested via Open Banking will only come as booked or pending. The declined status is only applicable to transactions ingested through our Ingest First Party Data endpoint.

Allowed:
Headers
string
required

The API Client Identifier (Service Application Identifier).

uuid
required

A unique identifier for a Customer, as registered on Bud's platform.

string

Use the internal client identifier, provided in the client_metadata object when creating the customer in Create Customer V3, in place of an X-Customer-Id header.

string

The Bud Customer secret used to encrypt customer data. This is required only if the customer secret is not already stored with Bud.

Responses

401

An unauthenticated request was received.

405

The request uses an unexpected HTTP method.

5XX

An unexpected error occurred on the server side.

Language
Credentials
OAuth2
LoadingLoading…
Response
Choose an example:
application/json